|  | Home · All Classes · All Functions · Overviews

# WrappedEvent Class Reference
(QStateMachine::WrappedEvent)
[QtCore module]

The WrappedEvent class holds a clone of an event associated with a QObject. More...

     #include <QStateMachine>

This class was introduced in Qt 4.6.

- List of all members, including inherited members

## Public Functions

| ~WrappedEvent ()
QEvent * | event () const
QObject * | object () const

## Detailed Description

The WrappedEvent class holds a clone of an event associated with a QObject.

A wrapped event is generated by a QStateMachine in response to a Qt event. The QEventTransition class provides a transition associated with a such an event. QStateMachine::WrappedEvent is part of The State Machine Framework.

The object() function returns the object that generated the event. The event() function returns a clone of the original event.

See also QEventTransition.

## Member Function Documentation

### WrappedEvent::~WrappedEvent ()

Destroys this WrappedEvent.

### QEvent * WrappedEvent::event () const

Returns a clone of the original event.

### QObject * WrappedEvent::object () const

Returns the object that the event is associated with.